### Method

# AppStream Component get_supports

since: 0.15.0

#### Declaration [src]

    GPtrArray*
    as_component_get_supports (
      AsComponent* cpt
    )

#### Description [src]

Get an array of items that are supported by this component, e.g. to indicate support for a specific piece of hardware.

Available since: 0.15.0

#### Return value

Type: An array of `AsRelation*`

An array.

The data is owned by the instance.